std::multimap::value_compare(3)

NAME
std::multimap::value_compare -

SYNOPSIS

Inherits binary_function< std::pair< const _Key, _Tp >, std::pair< const _Key, _Tp >, bool >.

Detailed Description

  template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> class std::multimap< _Key, _Tp, _Compare, _Alloc >::value_compare

Definition at line 125 of file stl_multimap.h.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions
bool operator() (const value_type &__x, const value_type &__y) const

  Protected Member Functions
value_compare (_Compare __c)

  Protected Attributes
_Compare comp

  Friends
class multimap< _Key, _Tp, _Compare, _Alloc >

Member Typedef Documentation

  typedef _Arg1 first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Result result_type [inherited]

type of the return type

Reimplemented in _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

  typedef _Arg2 second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.